// advanced encryption standard
// author: karl malbrain, malbrain@yahoo.com
/*
  This work, including the source code, documentation
  and related data, is placed into the public domain.

  The orginal author is Karl Malbrain.

  THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY
  OF ANY KIND, NOT EVEN THE IMPLIED WARRANTY OF
  MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
  ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE
  RESULTING FROM THE USE, MODIFICATION, OR
  REDISTRIBUTION OF THIS SOFTWARE.
*/
#ifndef AES_H
#define AES_H

typedef struct {
    unsigned char data[4 * 4 * (10 + 1)];
} AES_KEY;

int AES_set_encrypt_key(const unsigned char* key, int block_size,
			AES_KEY * aes_key);

void AES_encrypt (const unsigned char *in, unsigned char *out,
		  const AES_KEY *aes_key);

#endif
